#
# spec file for package iso_ent
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define regcat %{_bindir}/sgml-register-catalog
%define ke_pkg ISOEnts.zip
Name:           iso_ent
Version:        2000.11.03
Release:        829.1
Summary:        Character Entity Sets for ISO 8879:1986
License:        SUSE-Permissive
Source0:        http://www.oasis-open.org/cover/ISOEnts.zip
Source1:        ISOgrk5.gz
Patch0:         iso_ent.dif
BuildRequires:  sgml-skel
BuildRequires:  unzip
Requires(pre):  %{regcat}
Provides:       iso-ent
Provides:       iso-entities
BuildArch:      noarch

%description
Character entity sets for ISO 8879:1986.

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define sgml_dir %{_datadir}/sgml
%define sgml_config_dir %{_localstatedir}/lib/sgml

%prep
%setup -q -n %{name} -c -T
unzip -aq $RPM_SOURCE_DIR/%{ke_pkg}
cp -p $RPM_SOURCE_DIR/ISOgrk5.gz .
gunzip ISOgrk5.gz
%patch0 -p1

%build

%install
root=%{buildroot}
# sgml_dir=${root}%{_datadir}/sgml
# sgml_dir_config=${root}/var/lib/sgml
sgml_dir_iso=%{buildroot}%{sgml_dir}/iso-ent
sgml_dir_ISO=%{buildroot}%{sgml_dir}/ISO_8879:1986/entities
%{INSTALL_DIR} %{buildroot}%{sgml_config_dir}
%{INSTALL_DIR} %{buildroot}%{sgml_dir}/iso-ent
%{INSTALL_DIR} %{buildroot}%{sgml_dir}/{ISO_8879:1986,ISO_9573-15:1993}/entities
%{INSTALL_DATA} ISO* %{buildroot}%{sgml_dir}/iso-ent
%{INSTALL_DATA} CATALOG %{buildroot}%{sgml_config_dir}/CATALOG.iso_ent
pushd %{buildroot}%{sgml_dir}
ln -sf ../../..%{_localstatedir}/lib/sgml/CATALOG.iso_ent CATALOG.iso_ent
rm -f ISO_8879-1986
ln -s ISO_8879:1986 ISO_8879-1986
popd
pushd ${sgml_dir_ISO}
rm -f * 2>/dev/null
ln -s ../../iso-ent/ISOamsa Added_Math_Symbols:_Arrow_Relations
ln -s ../../iso-ent/ISOamsb Added_Math_Symbols:_Binary_Operators
ln -s ../../iso-ent/ISOamsc Added_Math_Symbols:_Delimiters
ln -s ../../iso-ent/ISOamsn Added_Math_Symbols:_Negated_Relations
ln -s ../../iso-ent/ISOamso Added_Math_Symbols:_Ordinary
ln -s ../../iso-ent/ISOamsr Added_Math_Symbols:_Relations
ln -s ../../iso-ent/ISObox Box_and_Line_Drawing
ln -s ../../iso-ent/ISOcyr1 Russian_Cyrillic
ln -s ../../iso-ent/ISOcyr2 Non-Russian_Cyrillic
ln -s ../../iso-ent/ISOdia Diacritical_Marks
ln -s ../../iso-ent/ISOgrk1 Greek_Letters
ln -s ../../iso-ent/ISOgrk2 Monotoniko_Greek
ln -s ../../iso-ent/ISOgrk3 Greek_Symbols
ln -s ../../iso-ent/ISOgrk4 Alternative_Greek_Symbols
ln -s ../../iso-ent/ISOlat1 Added_Latin_1
ln -s ../../iso-ent/ISOlat2 Added_Latin_2
ln -s ../../iso-ent/ISOnum Numeric_and_Special_Graphic
ln -s ../../iso-ent/ISOpub Publishing
ln -s ../../iso-ent/ISOtech General_Technical
popd
pushd %{buildroot}%{sgml_dir}
rm -f ISO_9573-15-1993
ln -s ISO_9573-15:1993 ISO_9573-15-1993
popd
pushd %{buildroot}%{sgml_dir}/ISO_9573-15:1993/entities
rm -f * 2>/dev/null
ln -s ../../iso-ent/ISOgrk5 Extra_Classical_Greek_Letters
popd

%post
if [ -x %{regcat} ]; then
  for c in iso_ent; do
    %{regcat} -a %{sgml_dir}/CATALOG.$c \
      >/dev/null 2>&1 || true
  done
fi
exit 0

%postun
if [  "$1" = "0" -a -x %{regcat} ]; then
  for c in CATALOG.iso_ent; do
    %{regcat} -r %{sgml_dir}/CATALOG.$c >/dev/null 2>&1 || :
  done
fi

%files
# %doc README.SuSE
%config %{_localstatedir}/lib/sgml/CATALOG.iso_ent
%{sgml_dir}/CATALOG.iso_ent
%{sgml_dir}/iso-ent
%{sgml_dir}/ISO_8879-1986
%{sgml_dir}/ISO_8879:1986
%{sgml_dir}/ISO_9573-15:1993
%{sgml_dir}/ISO_9573-15-1993

%changelog
* Sat May 20 2023 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Mon Jun 11 2012 coolo@suse.com
- change license to some spdx.org form - this a standard from w3.org,
  so it can be distributed pretty much freely
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Mar 29 2007 ke@suse.de
- Add BuildRequires: unzip
* Mon May 15 2006 ke@suse.de
- Fix %%postun script; reported by Andreas Hanke [# 175611].
* Sun Feb 19 2006 ro@suse.de
- modify setup line in spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb  5 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Mon Jun 23 2003 ke@suse.de
- Use %%postun for catalog removal.
* Mon Nov 25 2002 ke@suse.de
- Use sgml-register-catalog to add catalog to /etc/sgml/catalog.
* Fri Nov  3 2000 ke@suse.de
- Add lost ISOgrk5 (bug #4212).
- Mor spec file macros.
* Thu Aug 17 2000 ke@suse.de
- Added_Latin_1 has to point to ISOlat1 (not ISOLat1) and Added_Latin_2
  to ISOlat2 (not ISOLat2).
* Fri Jun 23 2000 ke@suse.de
- General cleanup.
- Use date string as version number.
- Now, it's noarch.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 16 1998 ke@suse.de
- Provide a maybe useful link /usr/share/sgml/CATALOG.iso_ent.
* Mon Jun 15 1998 ke@suse.de
- Install CATALOG as /var/lib/sgml/CATALOG.iso_ent.
* Sun Mar 15 1998 ke@suse.de
- Add CATALOG file.
- Provide a link for ISOgrk5.
* Sat Oct 25 1997 ke@suse.de
- Make Makefile.Linux and friends obsolete.
- Don't escape `:' in file names of the %%files list.
* Wed Oct  8 1997 Karl Eichwalder  <ke@suse.de>
  * correct %%install section.
* Mon Jun 30 1997 Karl Eichwalder  <ke@suse.de>
  * initial package.
